Bug 1794230 - Review Request: terraform - Infrastructure as Code to provision and manage any cloud, infrastructure, or service
Summary: Review Request: terraform - Infrastructure as Code to provision and manage an...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 30
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR
TreeView+ depends on / blocked
 
Reported: 2020-01-23 00:13 UTC by Adam Zerella
Modified: 2020-05-26 18:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 18:37:39 UTC
Type: ---


Attachments (Terms of Use)

Description Adam Zerella 2020-01-23 00:13:59 UTC
Spec URL: https://github.com/adamzerella/terraform-rpm/blob/master/terraform.spec
SRPM URL: https://github.com/adamzerella/terraform-rpm/releases/download/v0.12.19/terraform-0.12.19-1.fc30.src.rpm
Description: HashiCorp Terraform ship a Linux x86_64 binary that cannot currently be installed via the package-manager, I'm looking to add and maintain this package as an added convenience for people.
Fedora Account System Username: azerella
Koji URL: https://koji.fedoraproject.org/koji/taskinfo?taskID=40890084

Comment 1 Adam Zerella 2020-01-23 00:18:32 UTC
This is my first package and according to https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Create_Your_Review_Request I am requesting a sponsor?

Comment 2 dan.cermak 2020-01-24 20:28:31 UTC
The spec is just installing the binary that upstream builds, which does not comply with the packaging guidelines.

Take a look here how to build terraform from source in a spec: https://docs.fedoraproject.org/en-US/packaging-guidelines/Golang/. You also might find the go2rpm tool useful (you can install it via dnf).

Comment 3 Ben Cotton 2020-04-30 20:14:53 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2020-05-26 18:37:39 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.